<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Name: Organizer unnatural death
Description: Organizer for all unnatural death related information
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818">
   <title>Organizer unnatural death</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]
Item: (OrganizerUnnaturalDeath)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']
Item: (OrganizerUnnaturalDeath)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']"
         id="tmp-r-07a281c3-b82c-4638-945a-e7668277115b">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@classCode)='CLUSTER'">(OrganizerUnnaturalDeath): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(OrganizerUnnaturalDeath): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(OrganizerUnnaturalDeath): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="not(hl7:component/hl7:observation[hl7:code[@code='101000146108'][@codeSystem='2.16.840.1.113883.6.96']][hl7:value[@code='141000146106'][@codeSystem='2.16.840.1.113883.6.96']]) or hl7:component/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']">(OrganizerUnnaturalDeath): Als de 'Oorzaak niet-natuurlijke dood' = 'levensbeëindigend handelen', dan zijn de 'Detailsgegevens levensbeëindigend handelen' verplicht (templateId = 2.16.840.1.113883.2.4.3.11.60.104.10.31)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="hl7:component/hl7:observation[hl7:code[@code='101000146108'][@codeSystem='2.16.840.1.113883.6.96']][hl7:value[@code='141000146106'][@codeSystem='2.16.840.1.113883.6.96']] or hl7:component/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.30']">(OrganizerUnnaturalDeath): Als de 'Oorzaak niet-natuurlijke dood' != 'levensbeëindigend handelen', dan zijn de 'Detailsgegevens niet-natuurlijke dood' verplicht (templateId = 2.16.840.1.113883.2.4.3.11.60.104.10.30)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="not(hl7:component/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.30'] and hl7:component/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.31'])">(OrganizerUnnaturalDeath): De 'Detailsgegevens niet-natuurlijke dood' en 'Detailsgegevens levensbeëindigend handelen' kunnen niet beide voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/@nullFlavor)">(OrganizerUnnaturalDeath): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13'])&lt;=1">(OrganizerUnnaturalDeath): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(OrganizerUnnaturalDeath): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(OrganizerUnnaturalDeath): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']]/@nullFlavor)">(OrganizerUnnaturalDeath): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']])&lt;=1">(OrganizerUnnaturalDeath): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.30']])&lt;=1">(OrganizerUnnaturalDeath): element hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.30']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']])&lt;=1">(OrganizerUnnaturalDeath): element hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']
Item: (OrganizerUnnaturalDeath)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']"
         id="tmp-r-75c756da-a576-4bc5-8c68-6a8df6568498">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerUnnaturalDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.13'">(OrganizerUnnaturalDeath): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.13' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:statusCode[@code='completed']
Item: (OrganizerUnnaturalDeath)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:statusCode[@code='completed']"
         id="tmp-r-4e094d32-4771-47fa-8369-58a97f6f9e3b">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerUnnaturalDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="@nullFlavor or (@code='completed')">(OrganizerUnnaturalDeath): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']]
Item: (OrganizerUnnaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.35']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerUnnaturalDeath): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerUnnaturalDeath): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.30']]
Item: (OrganizerUnnaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.30']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerUnnaturalDeath): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerUnnaturalDeath): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.13
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]
Item: (OrganizerUnnaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.13']/hl7:component[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.31']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerUnnaturalDeath): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.13-2014-03-04T101818.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerUnnaturalDeath): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
